org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.DynamicFields

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.DynamicFieldsResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.DynamicFields

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SchemaRequest

      public static class SchemaRequest.DynamicFields
      extends AbstractSchemaRequest<SchemaResponse.DynamicFieldsResponse>

  Schema API request that lists the dynamic field definitions contained in the schema.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicFields()`
    `DynamicFields(SolrParams q)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SchemaResponse.DynamicFieldsResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getContentStreams, getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicFields

          public DynamicFields()

    - #### DynamicFields

          public DynamicFields(SolrParams q)

  - ### Method Detail

    - #### createResponse

          protected SchemaResponse.DynamicFieldsResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<SchemaResponse.DynamicFieldsResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.